com.avaya.ccs.api

## Interface CustomerDetailsI

-     public interface CustomerDetailsI

  The `CustomerDetailsI` object represents the details of a customer involved in an `InteractionI`. The `CustomerDetailsI` are received in an `InteractionI` notification.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<EmailListEntryI>` | `getEmailList()` A list of `EmailListEntryI`s associated with this customer
    `java.lang.String` | `getFirstName()` The customer's first name
    `java.lang.String` | `getId()` The ID for this CustomerDetails object
    `java.lang.String` | `getLastName()` The customer's surname
    `java.util.List<PhoneListEntryI>` | `getPhoneList()` A list of `PhoneListEntryI`s associated with this customer
    `java.util.List<PostalAddressListEntryI>` | `getPostalAddressList()` A list of postal addresses associated with this customer
    `java.lang.String` | `getTitle()` The title of the customer

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      The ID for this CustomerDetails object
      Returns:
        the id administered for the customer

    - #### getTitle

          java.lang.String getTitle()

      The title of the customer
      Returns:
        the title of the customer

    - #### getFirstName

          java.lang.String getFirstName()

      The customer's first name
      Returns:
        the first name of the customer

    - #### getLastName

          java.lang.String getLastName()

      The customer's surname
      Returns:
        the last name of the customer

    - #### getPhoneList

          java.util.List<PhoneListEntryI> getPhoneList()

      A list of `PhoneListEntryI`s associated with this customer
      Returns:
        a list of `PhoneListEntryI` objects each one representing a phone entry for the customer or an empty list if no phones are provisioned

    - #### getEmailList

          java.util.List<EmailListEntryI> getEmailList()

      A list of `EmailListEntryI`s associated with this customer
      Returns:
        a list of `EmailListEntryI` objects each one representing an email address for the customer or an empty list if no email addresses are provisioned

    - #### getPostalAddressList

          java.util.List<PostalAddressListEntryI> getPostalAddressList()

      A list of postal addresses associated with this customer
      Returns:
        a list of `PostalAddressListEntryI` objects each one representing an postal address for the customer or an empty list if no postal addresses are provisioned